> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/shopping-carts/inline/use-cases/set-return-method-in-inline-cart.md).

# Set return method in InLine Cart

## Overview

Use the Cart object in order to set the return method of the InLine cart by calling the `TwoCoInlineCart.cart.setReturnMethod({url, type})` method.

## Use case

1. Add an HTML link or button on your page like the one below.
2. Create a JavaScript click handler to execute the Inline Client desired methods.
3. Use the`TwoCoInlineCart.products.add( {code, quantity, options})`method to prepare your catalog product.
4. In order to set currency use TwoCoInlineCart.cart.setCurrency(currency-code).
5. In order to define the return method call`TwoCoInlineCart.cart.setReturnMethod({url, type})`.
6. You can see below a signature token request payload for this example. A success response contains a JSON with the property “signature“ which needs to be used at the next step to set the signature using the TwoCoInlineCart method.<br>

   ```javascript
   {
       "merchant": "AVLRNG",
       "currency": "USD",
       "products": [
           {
               "code": "74B8E17CC0"
           }
       ],
       "return-method": {
           "type": "redirect",
           "url": "http://my-test-site.com/return-url"
       }
   }
   ```

   \
   The above payload will generate the signature c05c712e7c14a23a425b799d39c7304bcc1715c6e903513da57f47fc164b93f9.
7. Use the TwoCoInlineCart.cart.setSignature('c05c712e7c14a23a425b799d39c7304bcc1715c6e903513da57f47fc164b93f9') method to set the signature.
8. Use the`TwoCoInlineCart.cart.checkout()`method to show the cart on your page.

## Sample request

### HTML

```html
<a href="#" class="btn btn-success" id="buy-button">Buy now!</a>
```

### Javascript

```javascript
window.document.getElementById('buy-button').addEventListener('click', function() {
  TwoCoInlineCart.cart.setCurrency('USD');
  TwoCoInlineCart.products.add({
    code: "74B8E17CC0"
  });
  TwoCoInlineCart.cart.setReturnMethod({
    type: 'redirect',
    url : 'http://my-test-site.com/return-url'
  });
  TwoCoInlineCart.cart.setSignature('c05c712e7c14a23a425b799d39c7304bcc1715c6e903513da57f47fc164b93f9');
  TwoCoInlineCart.cart.checkout();
});
```

## Demo

After setting the return method in the InLine cart using the above method, your cart should look like this:

{% embed url="<https://codepen.io/2checkout-documentation/pen/agOoej>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.2checkout.com/shopping-carts/inline/use-cases/set-return-method-in-inline-cart.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
